## python-warlock 0.1.0

=== requirements.txt ===
jsonschema==0.2

=== debian/changelog ===
python-warlock (0.1.0-0ubuntu1~cloud0) precise-folsom; urgency=low

  * Backport for Ubuntu Cloud Archive:
    - Required because its now a build dependency of glance.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Aug 2012 19:00:09 -0500

python-warlock (0.1.0-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jul 2012 07:30:22 -0500

=== debian/control ===
Source: python-warlock
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools,  python-all (>= 2.6.6-3~),
 python-jsonschema, python-nose
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/warlock/0.0.1

Package: python-warlock
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-jsonschema
Description: Python object model built on top of JSON schema.
 Build self-validating python objects using JSON schemas

## python-warlock 0.8.1

=== requirements.txt ===
jsonschema>=0.7,<1
jsonpatch>=0.10,<=0.12

=== debian/changelog ===
python-warlock (0.8.1-1ubuntu1~cloud0) precise-grizzly; urgency=low

  * New upstream release for the Ubuntu Cloud Archive to support new
    version of python-glanceclient.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2013 10:35:53 +0000

python-warlock (0.8.1-1ubuntu1) raring; urgency=low

  * Sync with Debian (LP: #1140613)
  * debian/control:
    - Add missing build-depends on python-json-patch
      (pulled from Debian git)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Mar 2013 14:42:31 -0500

python-warlock (0.8.1-1) experimental; urgency=low

  * Initial release (Closes: #687510).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-warlock
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~),
 python-jsonschema, python-nose, openstack-pkg-tools, python-json-patch (>= 0.10)
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-warlock.git
Vcs-Git: git://anonscm.debian.org/openstack/python-warlock.git
Homepage: http://pypi.python.org/pypi/warlock

Package: python-warlock
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}, python-jsonschema (>= 0.7), python-json-patch (>= 0.10)
Description: object model built on top of JSON schema
 With python-warlock, you can build self-validating Python objects using JSON
 schemas. First, a schema describe the type of data, then after creating the
 object, python-warlock checks that added or edited attributes correspond to
 the initial schema. If they don't, an exception is raised.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/bcwaldon/warlock.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2

override_dh_auto_test:
	nosetests

## python-warlock 1.0.1

=== requirements.txt ===
jsonschema>=0.7,<3
jsonpatch>=0.10,<2

=== debian/changelog ===
python-warlock (1.0.1-1ubuntu2~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jul 2013 18:27:04 +0100

python-warlock (1.0.1-1ubuntu2) saucy; urgency=low

  * d/rules: Rework testing targets to make backporting to earlier
    versions of python3 a bit easier.
  * d/control: Add missing python3-six to BD's.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jul 2013 15:25:02 +0100

python-warlock (1.0.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add python3-warlock package.
    - debian/rules: Build for python2/python3.
    - debian/patches/python3.patch: Add support for python3.
    - drop debian/docs and add package specific docs
    - add package specific .install files

  * Run wrap-and-sort to match the Debian package update
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 20 Jul 2013 23:16:35 -0500

python-warlock (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.
  * Standard-Version: is now 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 15:47:07 +0800

python-warlock (1.0.0-1ubuntu2) saucy; urgency=low

  * Install to /usr/lib/python3, not /usr/local/python3
    - update debian/python3-warlock.install
  * Mark Vcs-* as XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 07 Jul 2013 16:04:08 -0500

python-warlock (1.0.0-1ubuntu1) saucy; urgency=low

  * debian/control: Add python3-warlock package.
  * debian/rules: Build for python2/python3.
  * debian/patches/python3.patch: Add support for python3. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 May 2013 11:28:19 -0500

python-warlock (1.0.0-1) unstable; urgency=low

  * Now upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 06:50:16 +0000

=== debian/control ===
Source: python-warlock
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-json-patch (>= 0.10),
               python-jsonschema,
               python-nose,
               python-setuptools,
               python-six,
               python3-all (>= 3.1.2-7~),
               python3-json-patch  (>= 0.10),
               python3-jsonschema,
               python3-nose,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-warlock.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/openstack/python-warlock.git
Homepage: http://pypi.python.org/pypi/warlock

Package: python-warlock
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-json-patch (>= 0.10),
         python-jsonschema (>= 0.7),
         ${misc:Depends},
         ${python:Depends}
Description: object model built on top of JSON schema (python2)
 With python-warlock, you can build self-validating Python objects using JSON
 schemas. First, a schema describe the type of data, then after creating the
 object, python-warlock checks that added or edited attributes correspond to
 the initial schema. If they don't, an exception is raised.

Package: python3-warlock
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-json-patch (>= 0.10),
         python-jsonschema (>= 0.7),
         ${misc:Depends},
         ${python3:Depends}
Description: object model built on top of JSON schema (python3)
 With python-warlock, you can build self-validating Python objects using JSON
 schemas. First, a schema describe the type of data, then after creating the
 object, python-warlock checks that added or edited attributes correspond to
 the initial schema. If they don't, an exception is raised.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/bcwaldon/warlock.git

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@  --with python2,python3

test-python%:
	ver=`echo $* | cut -d . -f 1`; \
	if [ "$$ver" = "3" ]; then \
		nosetests3 || : ; \
	else \
		nosetests; \
	fi

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## python-warlock 1.1.0

=== debian/changelog ===
python-warlock (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Standards-Version is now 3.9.6 (no change).
  * Drops debian/patches/python3.patch applied upstream.
  * Fixed watch file to use the pypi redirector.
  * Fixed long desc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 16:51:38 +0200

python-warlock (1.0.1-2) unstable; urgency=low

  * Cleans correctly (package can build twice).
  * Adds python3 support (Closes: #717469).
  * Relicenses the packaging using Apache-2.0 (with prior agreement from
    Canonical, see #717469).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 15:01:57 +0800

=== debian/control ===
Source: python-warlock
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-jsonpatch,
                     python-jsonschema,
                     python-nose,
                     python-six,
                     python3-jsonpatch,
                     python3-jsonschema,
                     python3-nose,
                     python3-six,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-warlock.git
Vcs-Git: git://anonscm.debian.org/openstack/python-warlock.git
Homepage: http://pypi.python.org/pypi/warlock

Package: python-warlock
Architecture: all
Depends: python-jsonpatch,
         python-jsonschema,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: object model built on top of JSON schema - Python 2.7
 With Warlock, you can build self-validating Python objects using JSON schemas.
 First, a schema describe the type of data, then after creating the object,
 Warlock checks that added or edited attributes correspond to the initial
 schema. If they don't, an exception is raised.
 .
 This package contains the Python 2.7 module.

Package: python3-warlock
Architecture: all
Depends: python3-jsonpatch,
         python3-jsonschema,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: object model built on top of JSON schema - Python 3.x
 With Warlock, you can build self-validating Python objects using JSON schemas.
 First, a schema describe the type of data, then after creating the object,
 Warlock checks that added or edited attributes correspond to the initial
 schema. If they don't, an exception is raised.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/bcwaldon/warlock.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-warlock; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-warlock; \
	done

override_dh_auto_test:
	nosetests
	nosetests3 || true

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

=== debian/watch ===
version=3
http://pypi.debian.net/warlock/warlock-(.*).tar.gz

## python-warlock 1.2.0

=== debian/changelog ===
python-warlock (1.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support.
  * Standards-Version: 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 21:17:22 +0200

python-warlock (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:48:10 +0000

python-warlock (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_install.
  * Switched to pytest, as upstream did so.
  * Checking for DEB_BUILD_OPTIONS=nocheck.
  * Using github tag over HTTPS for debian/watch.
  * Fixed debian/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 08:13:21 +0000

=== debian/control ===
Source: python-warlock
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-jsonpatch,
 python3-jsonschema,
 python3-pytest,
 python3-six,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-warlock
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-warlock.git
Homepage: https://pypi.python.org/pypi/warlock

Package: python3-warlock
Architecture: all
Depends:
 python3-jsonpatch,
 python3-jsonschema,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: object model built on top of JSON schema - Python 3.x
 With Warlock, you can build self-validating Python objects using JSON schemas.
 First, a schema describe the type of data, then after creating the object,
 Warlock checks that added or edited attributes correspond to the initial
 schema. If they don't, an exception is raised.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bcwaldon/warlock.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest test ; \
	done
endif

## python-warlock 1.3.3

=== requirements.txt ===
jsonschema>=0.7,<4
jsonpatch>=0.10,<2
six

=== debian/changelog ===
python-warlock (1.3.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:05:34 +0200

python-warlock (1.3.3-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * Fix running tests.
  * Add python3-pytest-cov as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
  python3-jsonpatch,
  python3-jsonschema,
  python3-pytest,
+ python3-pytest-cov,
  python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-warlock
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-warlock.git
 Homepage: https://pypi.python.org/pypi/warlock

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -x ; set -e ; for i in $(PYTHON3S) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest test ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests ; \
 	done
 endif

## python-warlock 2.0.1

=== debian/changelog ===
python-warlock (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:37:23 +0200

python-warlock (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Set min version of python3-jsonschema to >= 4.
  * Switch to pybuild and poetry-core.
  * Removed support-jsonschema-4.patch, not needed anymore.
  * Do not install requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 09:50:33 +0200

python-warlock (1.3.3-4) unstable; urgency=medium

  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 17:08:47 +0200

python-warlock (1.3.3-3) unstable; urgency=medium

  * Add support-jsonschema-4.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 15:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-setuptools,
 Build-Depends-Indep:
  python3-jsonpatch,
- python3-jsonschema,
+ python3-jsonschema (>= 4),
  python3-pytest,
  python3-pytest-cov,
  python3-six,
@@ -25,7 +27,7 @@
 Architecture: all
 Depends:
  python3-jsonpatch,
- python3-jsonschema,
+ python3-jsonschema (>= 4),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bcwaldon/warlock.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=warlock

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests ; \
	done
endif

## python-warlock 2.1.0

=== debian/changelog ===
python-warlock (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:25:47 +0200

python-warlock (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add flit as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 16:48:06 +0200

python-warlock (2.0.1-4) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1070178).

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 May 2024 13:57:06 +0200

python-warlock (2.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045943).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:01:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
+ flit,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
@@ -17,7 +18,6 @@
  python3-jsonschema (>= 4),
  python3-pytest,
  python3-pytest-cov,
- python3-six,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-warlock
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-warlock.git
@@ -28,7 +28,6 @@
 Depends:
  python3-jsonpatch,
  python3-jsonschema (>= 4),
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: object model built on top of JSON schema - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 %:
 	dh $@ --buildsystem=pybuild --with python3
 
+override_dh_clean:
+	dh_clean
+	rm -rf htmlcov
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -x ; set -e ; for i in $(PYTHON3S) ; do \

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-nova,
 nova-common,
 @builddeps@,
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/bcwaldon/warlock/tags .*/(\d[\d\.]+)\.tar\.gz
